Unserialize a Decimal128

- « MongoDB\BSON\Decimal128::__toString

- MongoDB\BSON\Javascript »

- PHP Manual
- MongoDB\BSON\Decimal128
- Unserialize a Decimal128

# MongoDB\BSON\Decimal128::unserialize

(mongodb >=1.2.0)

MongoDB\BSON\Decimal128::unserialize — Unserialize a Decimal128

### Description

final public MongoDB\BSON\Decimal128::unserialize(string `$data`): void

### Parameters

`data`

  The serialized MongoDB\BSON\Decimal128.

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\UnexpectedValueException if the properties cannot be unserialized (i.e. `serialized` was malformed).
- Throws MongoDB\Driver\Exception\InvalidArgumentException if the properties are invalid (e.g. missing fields or invalid values).

### See Also

- MongoDB\BSON\Decimal128::serialize() - Serialize a Decimal128
- unserialize() - Creates a PHP value from a stored representation
- Serializing Objects